<?php
session_start();
  require("config.php");
  // o usuário está logado?
  if(!isset($_SESSION["id_usuario_logado"])){
    header("Location: login.php");
    exit;
  }

 // tem permissão para cadastrar?
  if(!Permissao::podeCadastrar($_SESSION["nivel_acesso"])){
	header("Location: erro_permissao.php");
    exit;  
  }
  // fim permissão para cadastrar

$id_usuario_logado = $_SESSION["id_usuario_logado"];
$nome = tratar_entrada(utf8_decode(trim($_POST["nome"])));
$descricao = tratar_entrada(utf8_decode(trim($_POST["descricao"])));
// trata o saldo inicial
$saldo_inicial = tratar_entrada(utf8_decode(trim($_POST["saldo_inicial"])));
$saldo_inicial = str_replace(".", "", $saldo_inicial);
$saldo_inicial = str_replace(",", ".", $saldo_inicial);
// fim tratar o saldo inicial  
  
  // id	 nome	obs	saldo	data_cadastro	usuario_cadastro
  $result = mysqli_query($conexao, "INSERT into contas_saldos values (null, '$nome', '$descricao', '$saldo_inicial', NOW(), '$id_usuario_logado')");
	 
  if($result){
	  
	   // vamos registrar esse log
  $ip = getUserIpAddr();
  $id_usuario_logado = $_SESSION["id_usuario_logado"];
  $usuario_logado = $_SESSION["usuario_logado"];
  $texto_log = 'O usuario ' . $usuario_logado . ' cadastrou a conta e saldo ' . $nome . '.';
  $result_2 = mysqli_query($conexao, "INSERT into logs values (null, '$id_usuario_logado', '$texto_log', 
    NOW(), '$usuario_logado', '$ip')");
  // fim registrar o log 
	  
	 header("Location: nova_conta_saldo.php?sucesso=ok");
     exit; 
  }
  else{
	$_SESSION["erro_banco_dados"] = "Houve um erro no cadastro de contas e saldos.<br><br>Erro: " . mysqli_error($conexao);
  header("Location: erro_banco_dados.php");
  exit;  
  }
?>
